Subject: [bug#49235] [PATCH] gnu: Add oneko.

From: Timotej Lazar <[email-masked]>
Date: Sun, 27 Jun 2021 21:45:27 +0200

Leo Prikler <[email-masked]> [2021-06-27 21:24:00+0200]:
> I think the Debian patch says it best in that there might be copyright
> issues.

OK, I’ll copy / adjust that one then. :)

> To be fair, I only looked at the snippet, not what it produced, so it
> might actually be that it already did the correct thing.  Are there
> directory, which are matched by .*\\.xbm?

The snippet only deletes the *xbm files. There is also (for instance)
bsd.include that #includes the relevant bitmaps and is in turn #included
by the main source file. The latter #include statements are removed by
the patch.

I didn’t delete bsd.include (and others) in the snippet since they don’t
have copyright issues and it would make the snippet a bit messier. A
COPYRIGHT file for the BSD daemon also remains. If that is problematic,
I can adjust the snippet to also delete these files. In any case, none
of them gets copied to the output.